name='libndi-git'
version='latest'
release='1'
desc='Library to interact with Network Device Interface (NDI) streams (git version)'
homepage='https://code.videolan.org/jbk/libndi/'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('LGPL')
provides=('libndi')
conflicts=('libndi')

deps=('ffmpeg' 'libmicrodns')
build_deps=('git' 'meson')

sources=("git+https://code.videolan.org/jbk/libndi.git")
checksums=('SKIP')

version() {
	cd "$srcdir"
	git-version
}

build() {
    arch-meson build libndi
    ninja -v -C build
}

check() {
    ninja -v -C build test
}

package() {
    DESTDIR="$pkgdir" ninja -v -C build install
}